For Developers
Delete CIDR
DELETE https://ed.link/api/v2/teams/:team_id/origin-policies/:policy_id/cidrs/:cidr_id
Removes a CIDR block from the origin policy.
Permissions
Requires the origin_policies.delete system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:policy_id | UUID | Yes | The ID of the origin policy. |
:cidr_id | UUID | Yes | The ID of the CIDR rule to delete. |
Sample Request
const response = await axios.delete(
`https://ed.link/api/v2/teams/${team_id}/origin-policies/${policy_id}/cidrs/${cidr_id}`,
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": {
"id": "18de75a1-4b12-4c8d-9011-30112fa50012",
"deleted": true
}
}
